- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSiLWriter Class Reference

Take an OSInstance object and write a string that validates against the OSiL schema. More...

`#include <OSiLWriter.h>`

Collaboration diagram for OSiLWriter:

[legend]
List of all members.

## Public Member Functions
| OSiLWriter ()
| Default constructor.
| ~OSiLWriter ()
| Class destructor.
std::string | writeOSiL (const OSInstance *theosinstance)
| create an osil string from an OSInstance object
## Public Attributes
bool | m_bWriteBase64
| m_bWriteBase64 is set to true if we encode the linear constraint coefficients in base64 binary
bool | m_bWhiteSpace
| m_bWhiteSpace is set to true if we write white space in the file
std::string | m_sB64encoded
| m_sB64encoded is a string of data (start, colIdx, rowIdx, or values) from linear constraints coefficients encoded in base64 binary
## Private Attributes
const OSInstance * | m_OSInstance
| m_OSInstance is an object in the class OSInstance

## Detailed Description

Take an OSInstance object and write a string that validates against the OSiL schema.

Definition at line 30 of file OSiLWriter.h.

## Constructor & Destructor Documentation

OSiLWriter::OSiLWriter | ( |  | ) |

Default constructor.

Definition at line 34 of file OSiLWriter.cpp.

References m_bWhiteSpace, and m_bWriteBase64.

OSiLWriter::~OSiLWriter | ( |  | ) |

Class destructor.

Definition at line 39 of file OSiLWriter.cpp.

## Member Function Documentation

std::string OSiLWriter::writeOSiL | ( | const OSInstance * | theosinstance | ) |

create an osil string from an OSInstance object

Parameters:

  | theosinstance | is a pointer to an OSInstance object

Returns:
  a string with the OSInstance data that validates against the OSiL schema.

Definition at line 42 of file OSiLWriter.cpp.

References GeneralFileHeader::description, GeneralFileHeader::fileCreator, OSInstance::instanceData, OSInstance::instanceHeader, Variable::lb, GeneralFileHeader::licence, m_bWhiteSpace, m_OSInstance, mult(), Variable::name, GeneralFileHeader::name, Variables::numberOfVariables, os_dtoa_format(), OS_SCHEMA_VERSION, OSDBL_MAX, OSNAN, GeneralFileHeader::source, Variable::type, Variable::ub, Variables::var, and InstanceData::variables.

Referenced by getOSiLFromGams(), getOSiLFromMps(), getOSiLFromNl(), main(), and OSMatlab::solve().

## Member Data Documentation

const OSInstance* OSiLWriter::m_OSInstance`[private]`

m_OSInstance is an object in the class OSInstance

Definition at line 35 of file OSiLWriter.h.

Referenced by writeOSiL().

bool OSiLWriter::m_bWriteBase64

m_bWriteBase64 is set to true if we encode the linear constraint coefficients in base64 binary

Definition at line 64 of file OSiLWriter.h.

Referenced by main(), and OSiLWriter().

bool OSiLWriter::m_bWhiteSpace

m_bWhiteSpace is set to true if we write white space in the file

Definition at line 68 of file OSiLWriter.h.

Referenced by main(), OSiLWriter(), OSMatlab::solve(), and writeOSiL().

std::string OSiLWriter::m_sB64encoded

m_sB64encoded is a string of data (start, colIdx, rowIdx, or values) from linear constraints coefficients encoded in base64 binary

Definition at line 73 of file OSiLWriter.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSiLWriter.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSiLWriter.cpp